Package ghidra.trace.database.symbol

# Class DBTraceStackReference

java.lang.Object
ghidra.trace.database.symbol.DBTraceReference
ghidra.trace.database.symbol.DBTraceStackReference

All Implemented Interfaces:
  `Reference`, `StackReference`, `TraceReference`, `TraceStackReference`, `Comparable<Reference>`

public class DBTraceStackReference extends DBTraceReference implements TraceStackReference

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.DBTraceReference

  `ent`

  ### Fields inherited from interface ghidra.program.model.symbol.Reference

  `MNEMONIC, OTHER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceStackReference(DBTraceReferenceSpace.DBTraceReferenceEntry ent)`

- ## Method Summary

  ### Methods inherited from class ghidra.trace.database.symbol.DBTraceReference

  `clearAssociatedSymbol, delete, getFromAddress, getLifespan, getOperandIndex, getReferenceType, getSource, getStartSnap, getSymbolID, getToRange, getTrace, hashCode, isPrimary, setAssociatedSymbol, setPrimary, setReferenceType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.symbol.Reference

  `getFromAddress, getOperandIndex, getReferenceType, getSource, getSymbolID, isPrimary`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceReference

  `clearAssociatedSymbol, compareTo, delete, getAssociatedSymbol, getLifespan, getStartSnap, getToAddress, getToRange, getTrace, isEntryPointReference, isExternalReference, isMemoryReference, isMnemonicReference, isOffsetReference, isOperandReference, isRegisterReference, isShiftedReference, setAssociatedSymbol, setPrimary, setReferenceType`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceStackReference

  `getStackOffset, isStackReference`

- ## Constructor Details

  - ### DBTraceStackReference

    public DBTraceStackReference(DBTraceReferenceSpace.DBTraceReferenceEntry ent)